// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "param.h"
#include "paramc.h"

  int get_number_of_param(const char * name) {
    return parameterCount(name);
  }

  const char * get_param_as_string(const char * name) {
    static std::string s;
    s = (*gParameters)[name]->asString();
    return s.c_str();
  }
  

  int parameter_count(const char * name) {
    return parameterCount(name);
  }


  int boolean_parameter(const char * name, int pos = -1) {
    return booleanParameter(name, pos);
  }

  void set_boolean_parameter(const char * name, int value) {
    setParameter(name, value != 0);
  }

  int int_parameter(const char * name, int pos = -1) {
    return intParameter(name, pos);
  }

  void set_int_parameter(const char * name, int value) {
    setParameter(name, value);
  }
  
  double real_parameter(const char * name, int pos = -1) {
    return realParameter(name, pos);
  }

  void set_real_parameter(const char * name, double value) {
    setParameter(name, value);
  }

  const char * string_parameter(const char * name, int pos = -1) {
    static std::string s;
    s = stringParameter(name, pos);
    return s.c_str();
  }

  void set_string_parameter(const char * name, const char * value) {
    setParameter(name, value);
  }

  void open_parameters(const char * name) {
    openParameters(name);
  }

  void close_parameters() {
    closeParameters();
  }
