// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      ChoiceChildParameters.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Mon Dec  3 19:02:20 MET 2001

#ifndef ChoiceChildParameters_h
#define ChoiceChildParameters_h

#include <list>
#include <map>
#include <string>

// Container of choice-valued children.
//   A Parameter may be controlling other parameters. 
//
class Parameter;

class ChoiceChildParameters : public std::map< std::string, std::list<Parameter* > > 
{
public:
  ChoiceChildParameters(Parameter* parent);
  ~ChoiceChildParameters();
  void add(const std::string& choice,Parameter* child);
  std::list<std::string > choices();
  
private:
  ChoiceChildParameters();
  Parameter* _parent;
};

#endif
