// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      XmlParamParser.h
// Author:    Jorgo Bakker (jbakker@rssd.esa.int)
// Generated: Mon Feb 10 12:28:59 CET 2003
// Usage:     -
// Info:      -

#ifndef XmlParamParser_h
#define XmlParamParser_h

#include "ParamParser.h"
#include <string>
class ParameterInfo;

/**
 * XmlParamParser is the implementation of the XML Parameter parser
 *
 */
class XmlParamParser : public ParamParser
{  
public:
  XmlParamParser();
  ~XmlParamParser();
  
  ParameterInfo* load(const std::string& nameOfFile);
  void save(const ParameterInfo&,const std::string& nameOfFile);

private:
  XmlParamParser(const XmlParamParser&);      // copy constructor disabled!
  XmlParamParser& operator=(const XmlParamParser&); // assignment disabled!

};

#endif
