// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/**-*-C++-*-*******************************************************************
 *
 *  XpiInfoReader.h                             XMM Science Analysis Subsystem
 *
 *  Reader for XPI files
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: XpiInfoReader.h,v 1.4 2003/02/10 15:19:09 jbakker Exp $
 *
 *****************************************************************************/

#ifndef XPIINFOREADER_H
#define XPIINFOREADER_H

#include "ParamInfoReader.h"

/**
   @deprecated As of param 2.11; replaced by {@link XmlParamParser}.
*/
class XpiInfoReader : public ParamInfoReader
{
public:
  
  XpiInfoReader(const std::string& name,bool isTaskName=true);
  virtual ~XpiInfoReader();

  ParameterInfo* getParamInfo();

private:
  // disabled member functions
  XpiInfoReader();
  XpiInfoReader(const XpiInfoReader&);
  XpiInfoReader& operator=(const XpiInfoReader&);
};


#endif
