// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/****************************************************************************
 *
 *  testsetparam.cc                            XMM Science Analysis Subsystem
 *
 *  Test setting of parameters by task
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testcloseparam.cc,v 1.4 2003/06/16 08:42:44 gvacanti Exp $
 *
 *****************************************************************************/

#include <Parameter.h>               // Application headers
#include <param.h>
#include<cassert>

#include <cmath>                    // C headers

#include <iostream>                // C++ headers
#include <string>
#include <vector>

#include <errstr.h>

void dump()
{
  // Print current values of parameters
  std::cout << *gParameters;
}

int main()
{
    // init
    openParameters("testcloseparam");
    bool orig=booleanParameter("bool");
    
    // change it, and test its state
    setParameter("bool", !orig);
    assert(booleanParameter("bool") != orig);
    

    // test,whether the state is remembered
    openParameters("testcloseparam");
    assert(booleanParameter("bool") != orig);
    
    // test, whether close actually resets its state
    closeParameters();
    openParameters("testcloseparam");
    assert(booleanParameter("bool") == orig);
    
    return 0;
}
