// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      testparamassign.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Oct 25 10:38:38 MET DST 2000


#include <Parameter.h>               // Application headers
#include <param.h>


int main(int, char** argv)
{
  errHandler.name(argv[0]);

  openParameters("testparamassign1");
  ParameterInfo& p1=*gParameters;

  openParameters("testparamassign2");
  ParameterInfo& p2=*gParameters;


  std::list<std::string> forward=p2.names();
  std::list<std::string>::const_iterator it;

  // now forward
  for (it=forward.begin();it!=forward.end();it++)
    {
      if ( ! p2[*it]->setValue(p1[*it]) ) 
	errstr << "Cannot forward parameter: " << *it
	       << Sas::error("ParamForward");
    }

  // now check it:
  for (it=forward.begin();it!=forward.end();it++) {
    if ( p1[*it]->asString() != p2[*it]->asString() )
      errstr << "Parameter (" << *it << ") not forwarded properly!"
	     << Sas::error("ParamForward");
      
  }

  std::cout << "testparamassign2 becomes:\n" << p2 << std::endl;
  return 0;
}
